> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept My Invite

> Accept a pending invite by id. Caller's email must match the invite's.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/invites/mine/{invite_id}/accept
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/invites/mine/{invite_id}/accept:
    post:
      tags:
        - Org Invites
      summary: Accept My Invite
      description: Accept a pending invite by id. Caller's email must match the invite's.
      operationId: accept_my_invite_api_v2_external_invites_mine__invite_id__accept_post
      parameters:
        - name: invite_id
          in: path
          required: true
          schema:
            type: string
            title: Invite Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgMemberResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrgMemberResponse:
      properties:
        user_id:
          type: string
          title: User Id
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        role:
          $ref: '#/components/schemas/OrgRole'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - user_id
        - role
        - created_at
      title: OrgMemberResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrgRole:
      type: string
      enum:
        - owner
        - admin
        - member
      title: OrgRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````